m = Matrix[[1,2,3,4],[5,6,7,8],[6,7,8,9]]

rows = m.row_vectors       # three Vector objects
cols = m.column_vectors    # four Vector objects
m2 = m.minor(1,2,1,2)      # Matrix[[6,7,],[7,8]]
m3 = m.minor(0..1,1..3)    # Matrix[[[2,3,4],[6,7,8]]

